> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Phone Numbers

> Returns all phone numbers from the system that the user has access to



## OpenAPI

````yaml openapi-phone-numbers GET /phone-numbers
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /phone-numbers:
    get:
      description: Returns all phone numbers from the system that the user has access to
      parameters:
        - name: page
          in: query
          description: The page number to return
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Phone numbers response
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    description: The total number of phone numbers
                    example: 10
                  next:
                    type: string
                    nullable: true
                    description: The next page of phone numbers
                    example: https://api.puretalk.ai/api/phone-numbers?page=2
                  previous:
                    type: string
                    nullable: true
                    description: The previous page of phone numbers
                    example: https://api.puretalk.ai/api/phone-numbers?page=1
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/PhoneNumber'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PhoneNumber:
      type: object
      description: A phone number object
      properties:
        user:
          type: object
          description: The user object
          properties:
            name:
              type: string
              description: The name of the user
              example: John Doe
            dp:
              type: string
              format: uri
              description: The profile picture of the user
              example: https://api.puretalk.ai/api/users/1/profile_picture.jpg
            email:
              type: string
              format: email
              description: The email of the user
              example: john.doe@example.com
        ai_assistant:
          type: object
          properties:
            assistant_id:
              type: string
              description: The ID of the AI assistant
              example: 00ef5401-cbfb-450a-a806-adad5dd907f3
            name:
              type: string
              description: The name of the AI assistant
              example: My AI Assistant
            variables:
              type: array
              description: The variables of the AI assistant
              items:
                type: string
        additional_data:
          type: object
          properties:
            postal_code:
              type: string
              description: The postal code of the phone number
            capabilities:
              type: object
              properties:
                voice:
                  type: boolean
                  description: Indicates if the phone number supports voice
                SMS:
                  type: boolean
                  description: Indicates if the phone number supports SMS
                MMS:
                  type: boolean
                  description: Indicates if the phone number supports MMS
            locality:
              type: string
              description: The locality of the phone number
            region:
              type: string
              description: The region of the phone number
            iso_country:
              type: string
              description: The ISO country code of the phone number
        phone_number_id:
          type: string
          description: The ID of the phone number
        phone_number:
          type: string
          description: The phone number
        friendly_name:
          type: string
          description: The friendly name of the phone number
        provider:
          type: string
          description: The provider of the phone number
        provider_id:
          type: string
          description: The provider ID of the phone number
        is_active:
          type: boolean
          description: Indicates if the phone number is active
        created_at:
          type: string
          format: date-time
          description: The date and time the phone number was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the phone number was updated
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          example: true
          description: Indicates if there was an error
        msg:
          type: string
          example: An error occurred.
          description: A message describing the error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````